Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MissingClassException

An exception occurred if a dynamic method dispatch fails with an unknown class. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

author:
  James Strachan

version:
  $Revision: 6817 $

Field Summary
`String` | `type`

Constructor Summary
`MissingClassException(String type, ASTNode node, String message)`
`MissingClassException(ClassNode type, String message)`

Method Summary
`String` | `getType()`

Constructor Detail

### MissingClassException

    public MissingClassException(String type, ASTNode node, String message)

### MissingClassException

    public MissingClassException(ClassNode type, String message)

Method Detail

### getType

    public String getType()

  return:
    The type that could not be resolved